Calendars: transferOwnership

Transfers a secondary calendar between users within a Google Workspace organization. Requires user authentication with Manage Calendars administrator privilege, and one of the following authorization scopes:

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.calendars
In the request, set useAdminAccess to true. The secondary calendar must be active to be transferred. Transferring disabled or deleted calendars isn't supported. Try it now.

Request

HTTP request

POST https://www.googleapis.com/calendar/v3/calendars/calendarId/transferOwnership

Parameters

Parameter name Value Description
Path parameters
calendarId string Calendar identifier. To retrieve calendar IDs, call the calendarList.list method.
Required query parameters
newDataOwner string The email address of a user who will become the data owner of the calendar.
useAdminAccess boolean When true, the method runs using the user's Google Workspace administrator privileges. The calling user must be a Google Workspace administrator with the Manage Calendars privilege. This method currently only supports admin access, thus only true is accepted for this field.

Authorization

This request requires authorization with at least one of the following scopes:

Scope
https://www.googleapis.com/auth/calendar.calendars
https://www.googleapis.com/auth/calendar

For more information, see the authentication and authorization page.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns an empty response body.

Try it!

Use the APIs Explorer below to call this method on live data and see the response.